# GOSemSim: GO semantic similarity measurement

[![releaseVersion](https://img.shields.io/badge/release%20version-2.6.2-green.svg?style=flat)](https://bioconductor.org/packages/GOSemSim)
[![develVersion](https://img.shields.io/badge/devel%20version-2.7.1-green.svg?style=flat)](https://github.com/guangchuangyu/GOSemSim)
[![Bioc](http://www.bioconductor.org/shields/years-in-bioc/GOSemSim.svg)](https://www.bioconductor.org/packages/devel/bioc/html/GOSemSim.html#since)

[![Project Status: Active - The project has reached a stable, usable
state and is being actively
developed.](http://www.repostatus.org/badges/latest/active.svg)](http://www.repostatus.org/#active)
[![codecov](https://codecov.io/gh/GuangchuangYu/GOSemSim/branch/master/graph/badge.svg)](https://codecov.io/gh/GuangchuangYu/GOSemSim/)
[![Last-changedate](https://img.shields.io/badge/last%20change-2018--10--11-green.svg)](https://github.com/GuangchuangYu/GOSemSim/commits/master)

[![platform](http://www.bioconductor.org/shields/availability/devel/GOSemSim.svg)](https://www.bioconductor.org/packages/devel/bioc/html/GOSemSim.html#archives)
[![Build
Status](http://www.bioconductor.org/shields/build/devel/bioc/GOSemSim.svg)](https://bioconductor.org/checkResults/devel/bioc-LATEST/GOSemSim/)
[![Linux/Mac Travis Build
Status](https://img.shields.io/travis/GuangchuangYu/GOSemSim/master.svg?label=Mac%20OSX%20%26%20Linux)](https://travis-ci.org/GuangchuangYu/GOSemSim)
[![AppVeyor Build
Status](https://img.shields.io/appveyor/ci/Guangchuangyu/GOSemSim/master.svg?label=Windows)](https://ci.appveyor.com/project/GuangchuangYu/GOSemSim)

The semantic comparisons of Gene Ontology (GO) annotations provide
quantitative ways to compute similarities between genes and gene groups,
and have became important basis for many bioinformatics analysis
approaches. `GOSemSim` is an R package for semantic similarity
computation among GO terms, sets of GO terms, gene products and gene
clusters. `GOSemSim` implemented five methods proposed by *Resnik*,
*Schlicker*, *Jiang*, *Lin* and *Wang* respectively.

For details, please visit our project website,
<https://guangchuangyu.github.io/software/GOSemSim>.

  - [Documentation](https://guangchuangyu.github.io/software/GOSemSim/documentation/)
  - [Featured
    Articles](https://guangchuangyu.github.io/software/GOSemSim/featuredArticles/)
  - [Feedback](https://guangchuangyu.github.io/software/GOSemSim/#feedback)

[![Twitter](https://img.shields.io/twitter/url/http/shields.io.svg?style=social&logo=twitter)](https://twitter.com/intent/tweet?hashtags=GOSemSim&url=http://bioinformatics.oxfordjournals.org/content/26/7/976&screen_name=guangchuangyu)
[![saythanks](https://img.shields.io/badge/say-thanks-ff69b4.svg)](https://saythanks.io/to/GuangchuangYu)
[![](https://img.shields.io/badge/follow%20me%20on-微信-green.svg?style=flat)](https://guangchuangyu.github.io/blog_images/biobabble.jpg)
[![](https://img.shields.io/badge/打赏-支付宝/微信-green.svg?style=flat)](https://guangchuangyu.github.io/blog_images/pay_qrcode.png)

-----

Please cite the following article when using `GOSemSim`:

**Yu G**<sup>†</sup>, Li F<sup>†</sup>, Qin Y, Bo X<sup>\*</sup>, Wu Y
and Wang S<sup>\*</sup>. GOSemSim: an R package for measuring semantic
similarity among GO terms and gene products. ***Bioinformatics***. 2010,
26(7):976-978.

[![doi](https://img.shields.io/badge/doi-10.1093/bioinformatics/btq064-green.svg?style=flat)](http://dx.doi.org/10.1093/bioinformatics/btq064)
[![Altmetric](https://img.shields.io/badge/Altmetric-19-green.svg?style=flat)](https://www.altmetric.com/details/100979)

-----

## Authors

Guangchuang YU <https://guangchuangyu.github.io>

School of Basic Medical Sciences, Southern Medical
University

### Citation

<img src="https://guangchuangyu.github.io/software/GOSemSim/featured-articles/index_files/figure-html/citation-1.png" width="890"/>

### Download stats

[![download](http://www.bioconductor.org/shields/downloads/GOSemSim.svg)](https://bioconductor.org/packages/stats/bioc/GOSemSim/)
[![total](https://img.shields.io/badge/downloads-95169/total-blue.svg?style=flat)](https://bioconductor.org/packages/stats/bioc/GOSemSim)
[![month](https://img.shields.io/badge/downloads-3518/month-blue.svg?style=flat)](https://bioconductor.org/packages/stats/bioc/GOSemSim)

<img src="https://guangchuangyu.github.io/software/GOSemSim/index_files/figure-html/dlstats-1.png" width="890"/>
